Package org.opensaml.soap.config

# Class SOAPConfigurationSupport

java.lang.Object
org.opensaml.soap.config.SOAPConfigurationSupport

public final class SOAPConfigurationSupport extends Object
Helper class for working with the registered instance of `SOAPConfiguration`, as obtained from the `ConfigurationService`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SOAPConfigurationSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static Integer`
`getDecoderSizeLimit()`
Get the SOAP message size limit.
`static boolean`
`isEnforceDecoderSizeLimit()`
Get the flag indicating whether to enforce SOAP message size limits in the decoders.
`static void`
`setDecoderSizeLimit(Integer limit)`
Set the SOAP message size limit.
`static void`
`setEnforceDecoderSizeLimit(boolean flag)`
Set the flag indicating whether to enforce SOAP message size limits in the decoders.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SOAPConfigurationSupport

private SOAPConfigurationSupport()
Constructor.

## Method Details

### isEnforceDecoderSizeLimit

public static boolean isEnforceDecoderSizeLimit()
Get the flag indicating whether to enforce SOAP message size limits in the decoders.

Returns:
  true if enforcement enabled, false if not

### setEnforceDecoderSizeLimit

public static void setEnforceDecoderSizeLimit(boolean flag)
Set the flag indicating whether to enforce SOAP message size limits in the decoders.

Parameters:
  `flag` - true if enforcement enabled, false if not

### getDecoderSizeLimit

@Nullable public static Integer getDecoderSizeLimit()
Get the SOAP message size limit.

Returns:
  the limit in bytes

### setDecoderSizeLimit

public static void setDecoderSizeLimit(@Nullable Integer limit)
Set the SOAP message size limit.

Parameters:
  `limit` - the limit in bytes